Bug 38961 - vimtutor opens a blank file instead of the tutorial
vimtutor opens a blank file instead of the tutorial
Product: Red Hat Linux
Classification: Retired
Component: vim (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2001-05-03 13:04 EDT by Need Real Name
Modified: 2007-04-18 12:33 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-06-27 05:39:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-05-03 13:04:54 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.73 [en] (WinNT; U)

Description of problem:
Attempting to run vimtutor displays a blank file instead of the correct tutorial.
All the files required for vimtutor to work are present, but examining vimtutor.1 shows a reference to the incorrect path.
When first logged on as the root user, typing 'vimtutor' creates a temporart _blank_ file instead of loading the tutorial file from it's new location.  
Without knowing what is supposed to happen, there is no way an ordinary user would be able to find and run the tutorial with the default 

How reproducible:

Steps to Reproduce:
1. Install
2. Log in as root
3. run vimtutor


Actual Results:  A blank temporary file is created in /tmp and opened with vim when vimtutor is used

Expected Results:  This should show the tutorial file explaining how to use vim.

Additional info:
Comment 1 Bernhard Rosenkraenzer 2001-05-03 15:26:49 EDT
I can't reproduce this. Make sure the vim-enhanced package is installed.
Comment 2 Need Real Name 2001-05-03 16:45:38 EDT
The machine in question has vim-minimal and vim-common.  However, this _does_ include the tutorial file and the vimtutor script.  It just doesn't work.
Comment 3 Arnoud Witt 2001-06-27 04:31:38 EDT
I have the same problem. After installation of a fresh system, vimtutor opens 
an empty file. 
The following messages occur just before opening the empty file:

Error detected while processing /usr/share/vim/vim60z/tutor/tutor.vim:
line   13:
Sorry, this command is not implemented: let s:ext = ""
line   26:
Sorry, this command is not implemented: let s:tutorfile = "/tutor/tutor"
line   27:
Sorry, this command is not implemented: let s:tutorxx = $VIMRUNTIME . s:tutorfil

The problem seems to be in the tutor.vim script, which is able to look for a 
tutor file in another language. 
The tutor file is not copied to the temporary file.
Comment 4 Arnoud Witt 2001-06-27 05:39:28 EDT
Next, when I install the vim-enhanced package, vimtutor does just work as it
Comment 5 Karsten Hopp 2002-06-25 17:47:42 EDT
vimtutor is now part of the vim-enhanced package. This may not fix the initial problem, 
but is a workaround which ensures that vim-enhanced is installed when you start 

Note You need to log in before you can comment on or make changes to this bug.